V2Ray中文网主要分享V2Ray(Project V)的搭建与使用。

SS/SSR 一键脚本在安装时提示 [Error] libsodium install failed!(安装失败)

Shadowsocks V2Ray中文网 995℃ 0评论

最近很多人在使用网路上的 SS 或者 SSR 一键安装脚本时,可能会遇到 libsodium 安装失败的错误提示,例如秋水逸冰的脚本就会提示 [Error] libsodium install failed!,flyzy小站的脚本就会提示 [错误] libsodium安装失败!。这个错误是因为你的 VPS 的系统版本问题造成的,只需要更换成满足要求的系统版本就可以了。

[Error] libsodium install failed!

1、错误出现的原因

CentOS 8 是 2019 年 9 月分布的最新版本的 CentOS 系统,一些 VPS 商家在新建 VPS 实例时已经默认是安装 CentOS 8 了,例如 Vultr,但是网路上流传的一些 ShadowsocksR 一键脚本,例如秋水逸冰、逗比根据地、flyzy小站等,脚本作者都已经不再维护脚本了,所以这些脚本已经不支持 CentOS 8 了。

就算你手动安装了 libsodium,也有会其他很多错误,例如 python 安装失败,wget 安装失败等等。

2、错误解决方式

解决方式也很简单,不要用 CentOS 8,一般来说 6、7 都是可以的。但是更建议大家使用 Debian 或者 Ubuntu 系统,不会出现上述依赖包安装错误。

更多 Shadowsocks 脚本详见:

  1. 好用的 Shadowsocks(SS) 一键脚本整理与分享
  2. 好用的 ShadowsocksR(SSR) 一键脚本整理与分享

转载请注明:V2Ray中文网 » SS/SSR 一键脚本在安装时提示 [Error] libsodium install failed!(安装失败)

喜欢 (1)
发表我的评论
取消评论

表情

Hi,您需要填写昵称和邮箱!

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址